Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Interface Log

All Known Implementing Classes:
  AbstractLog, CommonsLogFactory.LogAdapter, Log4JLogFactory.LogAdapter

public interface Log

Logging interface that is independent of other logging frameworks.

Field Summary
`static short` | `DEBUG`
`static short` | `ERROR`
`static short` | `FATAL`
`static short` | `INFO`
`static short` | `TRACE`
`static short` | `WARN`

Method Summary
`void` | `debug(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `debug(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`boolean` | `isDebugEnabled()` Returns if the `DEBUG` log level is enabled.
`boolean` | `isErrorEnabled()` Returns if the `ERROR` log level is enabled.
`boolean` | `isFatalEnabled()` Returns if the `FATAL` log level is enabled.
`boolean` | `isInfoEnabled()` Returns if the `INFO` log level is enabled.
`boolean` | `isTraceEnabled()` Returns if the `TRACE` log level is enabled.
`boolean` | `isWarnEnabled()` Returns if the `WARN` log level is enabled.
`void` | `trace(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message.
`void` | `trace(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o, Throwable t)` Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Field Detail

### TRACE

    public static final short TRACE

### DEBUG

    public static final short DEBUG

### INFO

    public static final short INFO

### WARN

    public static final short WARN

### ERROR

    public static final short ERROR

### FATAL

    public static final short FATAL

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

  Returns if the `TRACE` log level is enabled.

### isDebugEnabled

    public boolean isDebugEnabled()

  Returns if the `DEBUG` log level is enabled.

### isInfoEnabled

    public boolean isInfoEnabled()

  Returns if the `INFO` log level is enabled.

### isWarnEnabled

    public boolean isWarnEnabled()

  Returns if the `WARN` log level is enabled.

### isErrorEnabled

    public boolean isErrorEnabled()

  Returns if the `ERROR` log level is enabled.

### isFatalEnabled

    public boolean isFatalEnabled()

  Returns if the `FATAL` log level is enabled.

### trace

    public void trace(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message.

### trace

    public void trace(Object o,
                      Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### debug

    public void debug(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### debug

    public void debug(Object o,
                      Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### info

    public void info(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### info

    public void info(Object o,
                     Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### warn

    public void warn(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### warn

    public void warn(Object o,
                     Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### error

    public void error(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### error

    public void error(Object o,
                      Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### fatal

    public void fatal(Object o)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

### fatal

    public void fatal(Object o,
                      Throwable t)

  Write out a log message at the `TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.